/*
 Date: 2022/10/09 15:32:08
 */
PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for dict
-- ----------------------------
DROP TABLE IF EXISTS "dict";

CREATE TABLE "dict" ("key" TEXT NOT NULL, "val" TEXT);

-- ----------------------------
-- Table structure for scan
-- ----------------------------
DROP TABLE IF EXISTS "scan";

CREATE TABLE "scan" (
  "id" INTEGER NOT NULL,
  "taskId" text NOT NULL,
  "taskName" TEXT,
  "courseCode" text NOT NULL,
  "courseName" TEXT NOT NULL,
  "teachingClassName" text NOT NULL,
  "frontOriginImgPath" TEXT,
  "versoOriginImgPath" TEXT,
  "isUpload" integer NOT NULL DEFAULT 0,
  "clientUserId" text NOT NULL,
  "clientUsername" text NOT NULL,
  "clientUserLoginTime" text NOT NULL,
  "createdTime" text NOT NULL,
  "finishTime" text,
  PRIMARY KEY ("id")
);

-- ----------------------------
-- Table structure for sqlite_sequence
-- ----------------------------
DROP TABLE IF EXISTS "sqlite_sequence";

CREATE TABLE "sqlite_sequence" ("name", "seq");

PRAGMA foreign_keys = true;
