// 配置手册： https://cli.vuejs.org/zh/config/#vue-config-js
// electron-bulder配置：https://www.electron.build/configuration/contents#extrafiles
var config = {
  // publicPath: './',
  devServer: {
    port: 8066
  },
  pluginOptions: {
    electronBuilder: {
      externals: [],
      builderOptions: {
        extraFiles: [
          "extra/scan/**",
          "extra/database/org.rdb",
          "config.sample.json"
        ],
        win: {
          target: "portable",
          signAndEditExecutable: false
        }
      }
    }
  }
};

module.exports = config;
